## avc

ArtiVC is a version control system for large files

### Examples

```
  # Push data to the repository
  cd /path/to/my/data
  avc init s3://mybucket/path/to/repo
  avc push -m "my first commit"

  # Pull data from the repository
  cd /path/to/download
  avc init s3://mybucket/path/to/repo
  avc pull

  # Download by quick command
  avc get -o /path/to/download s3://mybucket/path/to/repo

  # Show command help
  avc <command> -h

  For more information, please check https://github.com/infuseai/artivc
```

### Options

```
  -h, --help   help for avc
```

### SEE ALSO

* [avc clone](avc_clone.md)	 - Clone a workspace
* [avc completion](avc_completion.md)	 - Generate the autocompletion script for the specified shell
* [avc config](avc_config.md)	 - Configure the workspace
* [avc diff](avc_diff.md)	 - Diff workspace/commits/references
* [avc docs](avc_docs.md)	 - Generate docs
* [avc get](avc_get.md)	 - Download data from a repository
* [avc init](avc_init.md)	 - Initiate a workspace
* [avc list](avc_list.md)	 - List files of a commit
* [avc log](avc_log.md)	 - Log commits
* [avc pull](avc_pull.md)	 - Pull data from the repository
* [avc push](avc_push.md)	 - Push data to the repository
* [avc put](avc_put.md)	 - Upload data to a repository
* [avc status](avc_status.md)	 - Show the status of the workspace
* [avc tag](avc_tag.md)	 - List or manage tags
* [avc version](avc_version.md)	 - Print the version information

###### Auto generated by spf13/cobra on 23-Mar-2022
