---
title: S3
weight: 2
---

The S3 repository supports AWS S3 natively.

## Features

1. Support `~/.aws/credentials` as the AWS CLI command
1. Support [Multipart upload](https://docs.aws.amazon.com/AmazonS3/latest/userguide/mpuoverview.html)

## Configuration

Prepare the `~/.aws/credentials` to access the s3 repository. Please see the [AWS documentation](https://docs.aws.amazon.com/cli/latest/userguide/cli-configure-files.html)

## Usage

Init a workspace
```shell
avc init s3://mybucket/path/to/mydataset
```

Clone a repository
```shell
avc clone s3://mybucket/path/to/mydataset
cd mydataset/
```
